Subject: Re: bug#18636: 24.4.50; doc of `display-monitor-attributes-list' - DISPLAY? FRAME?

From: Eli Zaretskii <[email-masked]>
Date: Sun, 05 Oct 2014 22:27:03 +0300

> Date: Sun, 5 Oct 2014 12:05:19 -0700 (PDT)
> From: Drew Adams <[email-masked]>
> 
> I find it unclear that the optional parameter of
> `display-monitor-attributes-list' is named DISPLAY, and is referred to
> as a display in the doc string, and yet in `frame-monitor-attributes'
> it is arg FRAME that is passed to `display-monitor-attributes-list'.
> 
> Is the argument of `display-monitor-attributes-list' a display or a
> frame?

It can be either.

> What about other functions, such as `display-pixel-height', which call
> `display-monitor-attributes-list'?  They seem to pass their DISPLAY arg
> to it.  Is this arg too something that can be (or is always?) a frame?
> The doc string of `display-pixel-height' (for example) says:
> 
>   "If DISPLAY is omitted or nil, it defaults to the selected frame's
>    display."
> 
> That would seem to suggest that a frame is not a display, but rather it
> _has_ a display.

A frame is not a display, but these functions accept either one.

If you make a list of the functions where the doc string is not
explicit about this fact, I will fix them.